./security/gcr, Library for crypto UI and related tasks

[ CVSweb ] [ Homepage ] [ RSS ] [ Required by ] [ Add to tracker ]


Branch: CURRENT, Version: 3.38.0, Package name: gcr-3.38.0, Maintainer: pkgsrc-users

GCR is a library for displaying certificates, and crypto UI, accessing
key stores. It also provides the viewer for crypto files on the GNOME
desktop.

GCK is a library for accessing PKCS#11 modules like smart cards, in a
(G)object oriented way.


Required to run:
[sysutils/desktop-file-utils] [graphics/hicolor-icon-theme] [security/libgcrypt] [devel/glib2] [lang/vala] [devel/gobject-introspection] [x11/gtk3] [security/p11-kit]

Required to build:
[textproc/gnome-doc-utils] [pkgtools/x11-links] [devel/gettext-m4] [x11/xcb-proto] [x11/fixesproto4] [devel/gdbus-codegen] [pkgtools/cwrappers] [x11/xorgproto]

Master sites: (Expand)

SHA1: ec77b51962010555445c84981f30a32f6426323e
RMD160: bfe464c4e7135a1ae753c9c2c93f6b53635f4416
Filesize: 1005.648 KB

Version history: (Expand)


CVS history: (Expand)


   2020-11-20 12:35:35 by Nia Alarie | Files touched by this commit (1)
Log message:
gcr: Needs autopoint
   2020-11-17 13:25:16 by Nia Alarie | Files touched by this commit (3)
Log message:
gcr: Fix building w/o RLIMIT_MEMLOCK. Don't ./configure twice.
   2020-11-07 08:17:08 by Makoto Fujiwara | Files touched by this commit (3) | Package updated
Log message:
(security/gcr) Updated 3.28.0 to 3.38.0

(pkgsrc changes)
 - Add ./autogen.sh for pre-configure:
 - Add following two lines to get the similar PLIST
   CONFIGURE_ARGS+=       --enable-gtk-doc
   .include "../../textproc/gtk-doc/buildlink3.mk"
 - Add following lines to avoid  "msgfmt: unknown option -- desktop" \ 
(thanks joerg@)
   .if ${OPSYS} == "NetBSD"
   TOOLS_PLATFORM.msgfmt=
   .endif

(upstream changes)
gcr 3.38.0:
- No changes from 3.37.91

gcr 3.37.91:
- meson: missing dependency on generated oids header [GNOME/gcr#48, GNOME/gcr!57]
- Correct display of key usage extensions [GNOME/gcr#47, GNOME/gcr!56]
- meson: Correctly set internal vapi dependencies [GNOME/gcr!55]
- Cleanup GType boilerplate [GNOME/gcr!53]
- gck: Fixed test failures [GNOME/gcr#42, GNOME/gcr!51, GNOME/gcr!52]
- Updated translations

gcr 3.36.0:
- gcr: Update gtk-doc get_der_data() vfunc [GNOME/gcr!48]
- Updated translations

gcr 3.35.91:
- Mark deprecated functions with G_DEPRECATED [GNOME/gcr#36, GNOME/gcr!47]
- egg-oid: Add comments for translators for new abbrevations [GNOME/gcr#40, \ 
GNOME/gcr!45]
- Updated translations

gcr 3.35.90:
- Add support for "NEW CERTIFICATE REQUEST" header [GNOME/gcr!44]
- Add support for GOST certificates [GNOME/gcr!43]
- Rework handling of ASN.1 standard types [GNOME/gcr!42]
- Fix a few regressions in the Meson build [GNOME/gcr!46, 7ba0e00d]
- Add support for g_autoptr [GNOME/gcr!36, GNOME/gcr#16]
- Fixed some compiler warnings [GNOME/gcr!38]
- Updated translations

gcr 3.35.1:
- gcr-certificate: Add (virtual) annotation [GNOME/gcr!35, GNOME/gcr#37]
- Always use G_PARAM_STATIC_STRINGS [GNOME/gcr!31]
- Support Meson build system [GNOME/gcr!11,32,33,34]
- Avoid potential 64-bit pointer aliasing alignment issues [GNOME/gcr!27, \ 
GNOME/gcr#34]
- Update README to mention correct environment variables [GNOME/gcr!25]
- build: Use sed for .desktop variables substitution [GNOME/gcr!24]
- Updated translations

gcr 3.34.0:
- gcr-prompt-dialog: Allow the use of mnemonics in the choice label [GNOME/gcr!22]
- Use python3 shebang in ui/icons/render-icons.py [GNOME/gcr!21]
- configure: Use PKG_PROG_PKG_CONFIG instead of reinventing it [GNOME/gcr!20]
- Replace tap-gtester with one that relies on GLib 2.38+ TAP output [GNOME/gcr!19]
- Remove SKS network from keyserver defaults [GNOME/gcr!18]
- Updated translations

gcr 3.33.4:
- Move from intltool to gettext [GNOME/gcr#18]
- Fix parameter type for signal handler causing stack smashing on ppc64le \ 
[GNOME/gcr!16]
- cleanup: Don't use deprecated g_type_class_add_private() anymore [GNOME/gcr!12]
- Fix GIR annotations [GNOME/gcr!10]
- Fix hashtable ordering assumptions [GNOME/gcr!9]
- build: Fix gcr-trust symbols not appearing in GIR, and hence also VAPI \ 
[GNOME/gcr!7]
- Update gcr_pkcs11_get_trust_{store|lookup}_slot URI checks [GNOME/gcr!5]
- build: Update tap scripts for Python 3 compat [GNOME/gcr!2]
- Updated translations
   2020-10-06 21:51:19 by Thomas Klausner | Files touched by this commit (36)
Log message:
*: recursive bump for vala 0.50
   2020-08-31 20:13:29 by Thomas Klausner | Files touched by this commit (3631) | Package updated
Log message:
*: bump PKGREVISION for perl-5.32.
   2020-08-17 22:20:41 by Leonardo Taccari | Files touched by this commit (2202)
Log message:
*: revbump after fontconfig bl3 changes (libuuid removal)
   2020-03-11 10:53:55 by Thomas Klausner | Files touched by this commit (34)
Log message:
*: bump for vala 0.48.0
   2020-03-10 23:11:24 by Thomas Klausner | Files touched by this commit (1681) | Package updated
Log message:
librsvg: update bl3.mk to remove libcroco in rust case

recursive bump for the dependency change